<?php
/**
 * MVCLight
 *
 * An open source application development framework for PHP
 *
 * @package		MVCLight
 * @author		Jorge Albaladejo Pomares
 * @copyright	Copyright (c) 2011, Jorge Albaladejo Pomares
 * @license		http://jorgealbaladejo.com/portfolio/MVCLight/license.txt
 * @link		http://jorgealbaladejo.com/MVCLight
 * @since		Version 0.1a
 * @filesource
 */

/**
 * system/init.php
 * 
 * Framework initialization
 * Loads the base files and creates a registry with all needed resources
 * 
 */
  
 // first of all, some helper functions
 include __SYSTEM_PATH . '/helpers/base.php';
 
 // a new registry object which loads application configuration
 $registry 	= Registry::getInstance();

 // assign common resources to registry object
 $registry->input		= Input::getInstance();
 $registry->cookie		= Cookie::getInstance();
 $registry->session 	= Session::getInstance();
 $registry->language	= Language::getInstance();
 
 // a new router object ready to execute the controller/method url
 $registry->router		= Router::getInstance();
  // set the controller path, useful for further modules
 $registry->router->setPath (__APP_PATH . '/controllers');
 
 // templating system is slightly special
 $registry->template	= Template::getInstance();
 
 // database?
 if ($registry->db_auto_load)
 {
 	$registry->db		= Db::getInstance();
 }

?>
