<?php
/**
 * MVCLight
 *
 * An open source application development framework for PHP
 *
 * @package		MVCLight
 * @author		Jorge Albaladejo Pomares
 * @copyright	Copyright (c) 2011, Jorge Albaladejo Pomares
 * @license		http://jorgealbaladejo.com/portfolio/MVCLight/license.txt
 * @link		http://jorgealbaladejo.com/MVCLight
 * @since		Version 0.1a
 * @filesource
 */

/**
 * system/lib/baseModel.class.php
 * 
 * Abstract parent base model
 * 
 */
Abstract Class baseModel extends baseObject
{
	/**
	 * Database object
	 * 
	 * @access protected
	 * 
	 */
	protected $db = null;
	
	/**
	 * Table name for this model
	 * 
	 * @access protected
	 * 
	 */
	protected $table = '';
	
	/**
	 * Loads a database instance
	 * 
	 * @return void
	 * 
	 */
	public function __construct()
	{
		parent::__construct();
		
		$this->db = $this->registry->db;
		
		if (!$this->table)
		{
			$this->table = str_replace('Model','',get_class($this));
		}
	}
}

?>
